# Get Booking BEO List

### Get Booking BEO List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getBookingBeoList`

Retrieve a list of Banquet Event Orders (BEO) associated with a specific booking.

#### Request Body

| Name          | Type    | Description                                                  |
| ------------- | ------- | ------------------------------------------------------------ |
| venueId       | integer | The unique ID of the venue to which the booking belongs.     |
| bookingId     | integer | The unique ID of the booking whose BEOs are to be retrieved. |
| onlyGenerated | boolean | Whether to fetch only generated documents.                   |
| start         | integer | The starting index for pagination (zero-based).              |
| perPage       | integer | The number of BEOs to retrieve per page.                     |

{% tabs %}
{% tab title="200 " %}

```javascript
{
    "meta": {
        "totalResults": 1,
        "start": 0,
        "perPage": 100,
        "count": 1
    },
    "results": [
        {
            "id": 1114,
            "venueId": 1,
            "bookingId": 22363,
            "beoType": 3,
            "beoNumber": 360,
            "version": 1,
            "versionNote": "",
            "file": null,
            "templateName": "Generic Venue Booking BEO",
            "status": 4,
            "createdBy": 1,
            "createdDate": "2025-04-24 01:33:39 UTC"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

### Example Request

```javascript
{
  "venueId": 1,
  "bookingId": 22363
}
```

The result from this call will be a [collection](/getting-started/interpreting-the-response/collections.md) of Banquet Event Orders (BEO) records that the user has access to. This call also accepts the [pagination](/getting-started/interpreting-the-response/pagination.md) properties.

### Booking BEO

| Property     | Type     | Description                                                           |
| ------------ | -------- | --------------------------------------------------------------------- |
| id           | integer  | The unique ID of the BEO.                                             |
| venueId      | integer  | The unique ID of the venue associated with the BEO.                   |
| bookingId    | integer  | The unique ID of the booking associated with the BEO.                 |
| beoType      | integer  | The type of the BEO. See [BEO Type](#beo-type)                        |
| beoNumber    | integer  | The unique number assigned to the BEO.                                |
| version      | integer  | The version of the BEO document.                                      |
| versionNote  | string   | Any notes regarding the BEO version.                                  |
| file         | object   | The file details (can be `null` if no file exists). see [File](#file) |
| templateName | string   | The name of the template used to generate the BEO.                    |
| status       | integer  | The status of the BEO. See [Status](#status)                          |
| createdBy    | integer  | The user ID of the person who created the BEO.                        |
| createdDate  | datetime | The date and time when the BEO was created (UTC).                     |

### File

| Property  | Type     | Description                                                                         |
| --------- | -------- | ----------------------------------------------------------------------------------- |
| url       | string   | The pre-signed URL where the BEO file can be accessed (if available).               |
| urlExpiry | datetime | The expiry time of the pre-signed URL.                                              |
| filename  | string   | The display name of the file, typically including the template and context details. |

### BEO Type

| Type | Description   |
| ---- | ------------- |
| 3    | Booking BEO   |
| 6    | Session BEO   |
| 11   | E-Booking BEO |
| 12   | E-Session BEO |

### Status

| Status | Description                                         |
| ------ | --------------------------------------------------- |
| 1      | Building (BEO document is in the building stage)    |
| 2      | Building Error (Error during BEO document building) |
| 3      | Draft (BEO document is still in draft form)         |
| 4      | Generated (BEO's HTML is generated, PDF pending)    |
| 5      | Sent (BEO has been sent to the relevant party)      |
| 8      | Completed (BEO has been completed)                  |
| 9      | Finalised                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/getoraddbookingdata/get-booking-beo-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
